Name:          crfsuite
Version:       0.12
Release:       1%{?dist}
Summary:       A fast implementation of Conditional Random Fields (CRFs)
License:       BSD
URL:           http://www.chokkan.org/software/crfsuite/
Source0:       https://github.com/chokkan/crfsuite/archive/%{version}.tar.gz
# Adapt for recent autoconf and automake
Patch0:        crfsuite-0.12-build.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: doxygen
BuildRequires: js-jquery1
BuildRequires: liblbfgs-devel
BuildRequires: libtool

ExcludeArch:   %{arm}
# + make -j4
# make  all-recursive
# make[1]: Entering directory '/builddir/build/BUILD/crfsuite-0.12'
# Making all in include
# make[2]: Entering directory '/builddir/build/BUILD/crfsuite-0.12/include'
# make[2]: Nothing to be done for 'all'.
# make[2]: Leaving directory '/builddir/build/BUILD/crfsuite-0.12/include'
# Making all in lib/cqdb
# make[2]: Entering directory '/builddir/build/BUILD/crfsuite-0.12/lib/cqdb'
# /bin/sh ../../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I../.. -I../.. -I../../include -I. -I../.. -I../../include -I.  -I./include -mfpmath=sse -msse2 -DUSE_SSE -O3 -fomit-frame-pointer -ffast-math -Winline -std=c99 -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -c -o libcqdb_la-lookup3.lo `test -f 'src/lookup3.c' || echo './'`src/lookup3.c
# /bin/sh ../../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I../.. -I../.. -I../../include -I. -I../.. -I../../include -I.  -I./include -mfpmath=sse -msse2 -DUSE_SSE -O3 -fomit-frame-pointer -ffast-math -Winline -std=c99 -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -march=armv7-a -mfpu=vfpv3-d16  -mfloat-abi=hard -c -o libcqdb_la-cqdb.lo `test -f 'src/cqdb.c' || echo './'`src/cqdb.c
# libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../.. -I../.. -I../../include -I. -I../.. -I../../include -I. -I./include -mfpmath=sse -msse2 -DUSE_SSE -O3 -fomit-frame-pointer -ffast-math -Winline -std=c99 -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard -c src/lookup3.c  -fPIC -DPIC -o .libs/libcqdb_la-lookup3.o
# libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../.. -I../.. -I../../include -I. -I../.. -I../../include -I. -I./include -mfpmath=sse -msse2 -DUSE_SSE -O3 -fomit-frame-pointer -ffast-math -Winline -std=c99 -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard -c src/cqdb.c  -fPIC -DPIC -o .libs/libcqdb_la-cqdb.o
# cc1: error: unrecognized command line option '-mfpmath=sse'
# cc1: error: unrecognized command line option '-msse2'
# cc1: error: unrecognized command line option '-mfpmath=sse'
# cc1: error: unrecognized command line option '-msse2'
# Makefile:449: recipe for target 'libcqdb_la-lookup3.lo' failed
# make[2]: *** [libcqdb_la-lookup3.lo] Error 1
# make[2]: *** Waiting for unfinished jobs....
# Makefile:456: recipe for target 'libcqdb_la-cqdb.lo' failed
# make[2]: Leaving directory '/builddir/build/BUILD/crfsuite-0.12/lib/cqdb'
# make[2]: *** [libcqdb_la-cqdb.lo] Error 1
# Makefile:465: recipe for target 'all-recursive' failed
# make[1]: Leaving directory '/builddir/build/BUILD/crfsuite-0.12'
# Makefile:374: recipe for target 'all' failed
# make[1]: *** [all-recursive] Error 1
# make: *** [all] Error 2

%description
CRFSuite is an implementation of Conditional Random Fields (CRFs) for
labeling sequential data. Please refer to the web site for more
information about this software.

%package devel
Summary:       Development files for the crfsuite library
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
This package includes header files and libraries necessary for
developing programs which use the crfsuite library.

%package doc
Summary:       Documentation files for the crfsuite library
BuildArch:     noarch
Requires:      js-jquery1

%description doc
Documentation files for the crfsuite library.

%prep
%setup -q -n crfsuite-%{version}
%patch0 -p1

rm -rf autom4te.cache

%build

sh ./autogen.sh
%configure \
 --disable-static

make %{?_smp_mflags}

cd doc
doxygen -u  Doxyfile
sed -i '/SYMBOL_CACHE_SIZE/d' Doxyfile
sed -i '/SHOW_DIRECTORIES/d' Doxyfile
sed -i '/HTML_ALIGN_MEMBERS/d' Doxyfile
sed -i '/USE_INLINE_TREES/d' Doxyfile
sed -i '/XML_SCHEMA/d' Doxyfile
sed -i '/XML_DTD/d' Doxyfile
doxygen Doxyfile
cd ..

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.a' -delete
find %{buildroot} -name '*.la' -delete

mkdir -p %{buildroot}%{_mandir}/man1
install -pm 644 frontend/crfsuite.1 %{buildroot}%{_mandir}/man1/

# unbundle jquery
ln -fs %{_datadir}/javascript/jquery/1.11.2/jquery.min.js doc/html/jquery.js

rm -r %{buildroot}%{_docdir}/crfsuite/COPYING %{buildroot}%{_docdir}/crfsuite/INSTALL

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_bindir}/crfsuite
%{_libdir}/libcqdb-*.so
%{_libdir}/libcrfsuite-*.so
%{_mandir}/man1/crfsuite.1*
%doc AUTHORS ChangeLog README
%license COPYING

%files devel
%{_includedir}/crfsuite.h
%{_includedir}/crfsuite.hpp
%{_includedir}/crfsuite_api.hpp
%{_libdir}/libcqdb.so
%{_libdir}/libcrfsuite.so
%license COPYING

%files doc
%doc doc/html
%license COPYING

%changelog
* Fri Sep 11 2015 gil cattaneo <puntogil@libero.it> 0.12-1
- initial rpm
